﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace MojeHra
{
    /// <summary>
    /// Interaction logic for NewGame.xaml
    /// </summary>
    public partial class NewGame : Window
    {

        public bool IsCreated = false;
        public NewGame()
        {
            InitializeComponent();
        }

        private void OK_Click(object sender, RoutedEventArgs e)
        {
            IsCreated = true;
            this.Close();
        }

        private void CancelButton_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }

        public PlayerType GetPlayer1()
        {
            return (bool)WHuman.IsChecked ? PlayerType.HumanPlayer : PlayerType.ComputerPlayer;
        }

        public PlayerType GetPlayer2()
        {
            return (bool)BHuman.IsChecked ? PlayerType.HumanPlayer : PlayerType.ComputerPlayer;

        }
    }
}
