﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MojeHra
{
    public class Game
    {
        public PlayerType p1 { get; set; }
        public PlayerType p2 { get; set; }
        public FigureType[][] board { get; set; }
        public Game(PlayerType p1, PlayerType p2)
        {
            this.p1 = p1;
            this.p2 = p2;
            board = new FigureType[8][];
            fillBoard();
        }
        public void LoadGame(string pathToFile)
        {
            // some logic for loading game
        }

        // Best  player ever!
        public List<Move> GetPossibleMoves(int x, int y)
        {
            Random r = new Random();
            List<Move> result = new List<Move>();
            result.Add(new Move(x,  y,  r.Next(8),r.Next(8)));
            result.Add(new Move(x, y, r.Next(8), r.Next(8)));

            return result;
        }

        public void MakeMove(Move m)
        {
            // logic check!
            // make move!
            board[m.x1][m.y1] = FigureType.None;
        }
        
        private void fillBoard()
        {
            // init
            for (int i = 0; i < 8; i++)
            {
                board[i] = new FigureType[8];
                for (int j = 0; j < 8; j++)
                {
                    board[i][j] = FigureType.None;
                }
            }
            // first line
            for (int i = 0; i < 8; i++)
            {
                if (i % 2 == 0)
                {
                    board[0][i] = FigureType.Black;
                } else
                {
                    board[0][i] = FigureType.BlackKing;
                }
            }
            // second line and butlast
            for (int i = 0; i < 8; i++)
            {              
                    board[1][i] = FigureType.Black;
                board[6][i] = FigureType.White;

            }
            // last
            for (int i = 0; i < 8; i++)
            {
                if (i % 2 == 0)
                {
                    board[7][i] = FigureType.White;
                }
                else
                {
                    board[7][i] = FigureType.WhiteKing;
                }
            }
        }
    }
}
